org.appng.openapi.model

## Class ValidationRule

- java.lang.Object
- - org.appng.openapi.model.ValidationRule

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class ValidationRule
      extends Object

  A validation rule that can be bound to an action-field.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_ACTIVE`
    `static String` | `JSON_PROPERTY_MESSAGE`
    `static String` | `JSON_PROPERTY_MESSAGE_KEY`
    `static String` | `JSON_PROPERTY_OPTIONS`
    `static String` | `JSON_PROPERTY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationRule` | `active(Boolean active)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getActive()` Whether or not this rule is active, meaning it should be applied.
    `String` | `getMessage()` The error message displayed when the rule isn't fulfilled.
    `String` | `getMessageKey()` The message key for this rule
    `Map<String,String>` | `getOptions()` An array defining the custom parameters for this rule.
    `String` | `getType()` The type of the rule.
    `int` | `hashCode()`
    `ValidationRule` | `message(String message)`
    `ValidationRule` | `messageKey(String messageKey)`
    `ValidationRule` | `options(Map<String,String> options)`
    `ValidationRule` | `putOptionsItem(String key, String optionsItem)`
    `void` | `setActive(Boolean active)`
    `void` | `setMessage(String message)`
    `void` | `setMessageKey(String messageKey)`
    `void` | `setOptions(Map<String,String> options)`
    `void` | `setType(String type)`
    `String` | `toString()`
    `ValidationRule` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_TYPE

          public static final String JSON_PROPERTY_TYPE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_MESSAGE

          public static final String JSON_PROPERTY_MESSAGE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ACTIVE

          public static final String JSON_PROPERTY_ACTIVE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_MESSAGE_KEY

          public static final String JSON_PROPERTY_MESSAGE_KEY

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_OPTIONS

          public static final String JSON_PROPERTY_OPTIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ValidationRule

          public ValidationRule()

  - ### Method Detail

    - #### type

          public ValidationRule type(String type)

    - #### getType

          @Nullable
          public String getType()

      The type of the rule.
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### message

          public ValidationRule message(String message)

    - #### getMessage

          @Nullable
          public String getMessage()

      The error message displayed when the rule isn't fulfilled.
      Returns:
        message

    - #### setMessage

          public void setMessage(String message)

    - #### active

          public ValidationRule active(Boolean active)

    - #### getActive

          @Nullable
          public Boolean getActive()

      Whether or not this rule is active, meaning it should be applied.
      Returns:
        active

    - #### setActive

          public void setActive(Boolean active)

    - #### messageKey

          public ValidationRule messageKey(String messageKey)

    - #### getMessageKey

          @Nullable
          public String getMessageKey()

      The message key for this rule
      Returns:
        messageKey

    - #### setMessageKey

          public void setMessageKey(String messageKey)

    - #### options

          public ValidationRule options(Map<String,String> options)

    - #### putOptionsItem

          public ValidationRule putOptionsItem(String key,
                                               String optionsItem)

    - #### getOptions

          @Nullable
          public Map<String,String> getOptions()

      An array defining the custom parameters for this rule.
      Returns:
        options

    - #### setOptions

          public void setOptions(Map<String,String> options)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.